Upsert Project File
curl --request PUT \
--url https://api.veryfront.com/projects/{project_reference}/files/{file_path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"content_type": "<string>",
"expected_checksum": "<string>",
"expected_version_id": "<string>"
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/files/{file_path}"
payload = {
"content": "<string>",
"content_type": "<string>",
"expected_checksum": "<string>",
"expected_version_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
content_type: '<string>',
expected_checksum: '<string>',
expected_version_id: '<string>'
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/files/{file_path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"path": "<string>",
"content": "<string>",
"size": 123,
"updated_at": "<string>"
}{
"id": "<string>",
"path": "<string>",
"content": "<string>",
"size": 123,
"created_at": "<string>"
}The filePath should be URL-encoded if it contains special characters (e.g., pages%2Findex.mdx for pages/index.mdx).
PUT
/
projects
/
{project_reference}
/
files
/
{file_path}
Upsert Project File
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain
File path (URL-encoded, e.g., pages%2Findex.mdx)
Query Parameters
Branch ID (null for main branch)
Body
application/json
⌘I